# CRTL
Development Library for Clinical Entity Recognition, Tagging, and Linking to the TRENDNet Lexical Knowledge Base.

## Diagrams
### Components
<img src = "/docs/componentsPackages.png">
<img src = "/docs/componentsUML.png">

## Setup notes
1. Install git hooks: (Make sure xcode is installed.)
   ```
   make init
   ```
1.  Setup virtual env
    ```
    python3 -m venv .venv # or 'python'   # create a new venv
    source .venv/bin/activate             # activate env
    pip install -e '.[develop] '           # install dependencies (dev only)
    ```
1. Run tests
    ```
    tox
    ```
